Skip to main content
`Ctrl`+`K`

# PEPAllocateSolution

Allocate memory storage for common variables such as eigenvalues and eigenvectors.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPAllocateSolution(PEP pep,PetscInt extra)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- extra - number of additional positions, used for methods that require a working basis slightly larger than `ncv`

## Developer Note

This is `SLEPC_EXTERN` because it may be required by user plugin `PEP` implementations.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetUp()`, `PEPSetDimensions()`

## Level

developer

## Location

src/pep/interface/pepsetup.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages